Bug 1592381 - [pcsc-cyberjack] Drop requirements for 'initscripts' from specfile
Summary: [pcsc-cyberjack] Drop requirements for 'initscripts' from specfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-cyberjack
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Patrick C. F. Ernzer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1592330
TreeView+ depends on / blocked
 
Reported: 2018-06-18 13:21 UTC by David Kaspar [Dee'Kej]
Modified: 2019-09-19 03:55 UTC (History)
2 users (show)

Fixed In Version: pcsc-cyberjack-3.99.5final.SP13-1.fc29 pcsc-cyberjack-3.99.5final.SP13-1.fc30 pcsc-cyberjack-3.99.5final.SP13-1.fc31 pcsc-cyberjack-3.99.5final.SP13-1.el7 pcsc-cyberjack-3.99.5final.SP13-1.el6 pcsc-cyberjack-3.99.5final.SP13-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 08:06:44 UTC
Type: Bug


Attachments (Terms of Use)

Description David Kaspar [Dee'Kej] 2018-06-18 13:21:47 UTC
Hello!

Description of problem:
It appears your package depend on 'initscrits' package for some reason. However, most of the initscripts' dependants are no longer valid.

I hereby request you check your package/specfile, and either:
 * drop the initscripts dependancy and close this BZ, or
 * provide a justification in a comment for keeping the dependancy (without closing this BZ)

----------------------

NOTE: In case you are depending on initscripts because of networking scripts, then you will need to update your specfile to depend directly on new package 'network-scripts' (instead of 'initscripts').

If this is the case, please let us know in the comments and do not close the BZ  yet.

Additional info:
The requested change here is valid for Rawhide (F29) only. Do not backport these changes into F28 or F27, because it would break things.

Thank you for your co-operation! :)

 -- Dee'Kej --

Comment 1 Patrick C. F. Ernzer 2018-07-19 15:01:50 UTC
David,

I think pcsc-cyberjack is OK.

pcfe@karhu pcsc-cyberjack (master) $ rpm -q --requires pcsc-cyberjack|grep init
pcfe@karhu pcsc-cyberjack (master) $ rpm -q pcsc-cyberjack
pcsc-cyberjack-3.99.5final.SP11-2.fc28.x86_64

Could it be that the following 4 lines from the spec file triggered creation of this bug?

%if 0%{?rhel} <= 6
Requires(post): /sbin/service
Requires(postun): /sbin/service
%endif

Comment 2 David Kaspar [Dee'Kej] 2018-07-30 11:23:11 UTC
Hmm, I'm not sure why that condition isn't working. In my specfiles, I use this:

%if %{defined rhel} || %{defined centos}
...
%endif

Anyway, that condition seems the be the problem of it. See here:

$ rpm -qR pcsc-cyberjack-3.99.5final.SP12-1.fc29.x86_64.rpm | grep -e 'initscripts' -e 'service'
/sbin/service
/sbin/service

Could you try changing the condition, please? :)

Comment 3 Jan Kurik 2018-08-14 10:54:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Fedora Update System 2019-09-01 19:18:57 UTC
FEDORA-2019-bc681496be has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc681496be

Comment 5 Fedora Update System 2019-09-01 19:19:24 UTC
FEDORA-2019-1fd373ac10 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fd373ac10

Comment 6 Fedora Update System 2019-09-01 19:19:49 UTC
FEDORA-2019-3d29392dd7 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d29392dd7

Comment 7 Fedora Update System 2019-09-01 19:20:32 UTC
FEDORA-EPEL-2019-720ffff2c9 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-720ffff2c9

Comment 8 Fedora Update System 2019-09-01 19:20:53 UTC
FEDORA-EPEL-2019-b3e2bc80eb has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b3e2bc80eb

Comment 9 Fedora Update System 2019-09-01 23:50:57 UTC
pcsc-cyberjack-3.99.5final.SP13-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc681496be

Comment 10 Fedora Update System 2019-09-02 01:09:10 UTC
pcsc-cyberjack-3.99.5final.SP13-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fd373ac10

Comment 11 Fedora Update System 2019-09-02 01:49:07 UTC
pcsc-cyberjack-3.99.5final.SP13-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d29392dd7

Comment 12 Fedora Update System 2019-09-02 03:14:33 UTC
pcsc-cyberjack-3.99.5final.SP13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-720ffff2c9

Comment 13 Fedora Update System 2019-09-02 04:47:35 UTC
pcsc-cyberjack-3.99.5final.SP13-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b3e2bc80eb

Comment 14 Fedora Update System 2019-09-03 20:32:49 UTC
FEDORA-EPEL-2019-eee2207e01 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-eee2207e01

Comment 15 Fedora Update System 2019-09-04 06:05:42 UTC
pcsc-cyberjack-3.99.5final.SP13-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-eee2207e01

Comment 16 Fedora Update System 2019-09-09 08:06:44 UTC
pcsc-cyberjack-3.99.5final.SP13-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-11 19:23:49 UTC
pcsc-cyberjack-3.99.5final.SP13-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-09-14 00:08:38 UTC
pcsc-cyberjack-3.99.5final.SP13-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-09-14 16:32:27 UTC
pcsc-cyberjack-3.99.5final.SP13-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-09-17 02:18:51 UTC
pcsc-cyberjack-3.99.5final.SP13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-09-17 02:56:39 UTC
pcsc-cyberjack-3.99.5final.SP13-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-09-19 03:55:58 UTC
pcsc-cyberjack-3.99.5final.SP13-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.